=== qctools/debian/changelog ===
qctools (1.2.1-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Fri, 18 Dec 2020 08:00:00 +0000
